﻿using System.Collections.Generic;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 단순 서비스
    /// </summary>
    [ServiceContract]
    public interface ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 짝수 번호 리스트 구하기 - GetEvenNumberList()

        /// <summary>
        /// 짝수 번호 리스트 구하기
        /// </summary>
        /// <returns>짝수 번호 리스트</returns>
        [OperationContract]
        List<int> GetEvenNumberList();

        #endregion
        #region 홀수 번호 리스트 구하기 - GetOddNumberList()

        /// <summary>
        /// 홀수 번호 리스트 구하기
        /// </summary>
        /// <returns>홀수 번호 리스트</returns>
        [OperationContract]
        List<int> GetOddNumberList();

        #endregion
    }
}